Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Win.SystemModule

Public Class RegistryVC
    Inherits Nuvolar.Module.RegistryVC
    Dim _WaitFormClass As New WaitFormClass
    Public Sub New()
        MyBase.New()
        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)
    End Sub
    Protected Overrides Sub OnViewControlsCreated()
        MyBase.OnViewControlsCreated()
        'TryCast(TryCast(View, DetailView).FindItem("CustomersBankAccounts"), DevExpress.ExpressApp.Win.Editors.LookupPropertyEditor).Control.
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        If View.Id = "RegistryTasks_DetailView" Then
            Frame.GetController(Of WinModificationsController).ModificationsHandlingMode = SystemModule.ModificationsHandlingMode.AutoCommit
        End If
        If View.Id = "RegistryHeader_DetailView" Then
            Dim _RegistryHeader As RegistryHeader = TryCast(View.SelectedObjects(0), RegistryHeader)
            Frame.GetController(Of WinModificationsController).ModificationsHandlingMode = SystemModule.ModificationsHandlingMode.AutoCommit
            If _RegistryHeader.IsEditable = False Then
                Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
            End If
        End If
        If View.Id = "RegistryHeader_WorkFlowCollection_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
        End If
        If View.Id = "RegistryHeader_RegistryTasks_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
        End If
        If View.Id = "RegistryHeader_RegistryFileData_ListView" Then ' Iktatási rendszerben a FileData fül
            Frame.GetController(Of DevExpress.ExpressApp.FileAttachments.Win.FileAttachmentListViewController)().AddFromFileAction.Active.SetItemValue("", False)
            Frame.GetController(Of DevExpress.ExpressApp.FileAttachments.Win.FileAttachmentController)().OpenAction.Active.SetItemValue("", False)
            Frame.GetController(Of DevExpress.ExpressApp.FileAttachments.Win.FileAttachmentController)().SaveToAction.Active.SetItemValue("", False)
        End If
        If View.Id = "RegistryHeader_RegistryRowsFinancial_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
        End If
        If View.Id = "RegistryHeader_RegistryRowsFinancialControlling_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
        End If
        If View.Id = "RegistryTasks_RegistryRowsFinancialControlling_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", False)
        End If
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()

        If View.Id = "RegistryHeader_RegistryRowsFinancial_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", True)
        End If
        If View.Id = "RegistryHeader_RegistryRowsFinancialControlling_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", True)
        End If
        If View.Id = "RegistryTasks_RegistryRowsFinancialControlling_ListView" Then
            Frame.GetController(Of DevExpress.ExpressApp.Win.SystemModule.OpenObjectController)().Active.SetItemValue("", True)
        End If
    End Sub
   
End Class
